@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;600;700&display=swap');

:root {
    margin: 0;
    padding: 0;

    box-sizing: border-box;

    --pastel-blue: hsl(172, 72%, 69%);
    --pastel-blue-dark: hsl(172, 72%, 60%);
    --medium-gray: hsl(0, 0%, 77%);
    --medium-gray-dark: hsl(0, 0%, 80%);
    --turquoise-green: hsl(176, 86%, 26%);

    font-family: "Poppins", sans-serif;
}

.title {
    font-family: "Poppins";
    font-style: normal;
    font-weight: 700;
    font-size: 2rem;
    line-height: 1rem;
    letter-spacing: 0.04em;

    margin: 1rem 0;
}

.logo-text {
    color: var(--pastel-blue);
    font-family: "Poppins", sans-serif;
    font-size: 2.25rem;
    font-weight: 500;

    margin: 0;

}

.logo-svg {
    height: 2rem;
}

.logo {
    display: flex;

    align-items: center;
    gap: 1rem;
}

.logo-header {
    padding: 2rem;

    display: flex;
    justify-content: space-between;
    align-items: center;
}

/* Form */
.form-section {
    display: flex;
    flex-direction: column;

    align-items: center;
    justify-content: center;

    position: relative;

}

.form-content {
    display: flex;
    flex-direction: column;

    align-items: center;

    width: 70%;

}

.form-text {
    display: flex;
    flex-direction: column;

    justify-content: center;
    align-items: center;

    position: relative;

    margin: 0.75rem 0;

    width: 60%;
    min-width: 275px;
}

.form-label {
    font-family: "Poppins", sans-serif;

    position: absolute;
    top: 30%;

    pointer-events: none;

    transition: all 300ms ease-in-out;
    left: 1rem;

    cursor: text;

}

.form-input__text:focus-within ~ .form-label,
.form-input__text:not(:placeholder-shown) ~ .form-label {
    transform: translate(0, -200%);
    font-size: 0.8rem;
    left: 0.75rem;
}


.form-input {
    display: flex;
    align-items: center;

    position: relative;

    background-color: var(--medium-gray);

    padding: 0.5rem 1.15rem;

    border-radius: 2.5rem;
    width: clamp(30ch, 100%, 40ch);
}



.form-input__text {
    font-family: "Poppins", sans-serif;
    font-size: 1.05rem;

    width: clamp(30ch, 100%, 40ch);

    margin: 0 0.75rem 0 0;

    position: relative;

    background: none;
    border: none;
}

.form-input::after {
    content: "";
    background-color: black;

    position: absolute;
    bottom: 0;

    height: 2px;
    width: clamp(30ch, 100%, 40ch);

    border-radius: 5rem;

    transform: scaleX(0);
    transform-origin: left;

    transition: transform 300ms ease-in-out;

}

.form-input:focus-within::after {
    transform: scaleX(90%);
}

.form-input__text:focus,
.form-input__text:focus-visible {
    outline: none;
}

.form-icon {
    margin: 0 1rem;

    height: 2rem;
}

.form-icon-btn {
    cursor: pointer;
}

.form-step {
    position: absolute;

    display: flex;
    justify-content: space-between;
    align-items: center;

    background-color: white;

    border-radius: 0.75rem;

    flex-direction: column;

    width: clamp(360px, 40%, 400px);
    min-height: 30vh;

    margin: 1rem;
    padding: 1.5rem 3rem;

    transform: translate(-1%);
    opacity: 0;

    box-shadow: rgba(50, 50, 93, 0.25) 0px 6px 12px -2px, rgba(0, 0, 0, 0.3) 0px 3px 7px -3px;

    transition: all 800ms ease-in-out;
    pointer-events: none;
    user-select: none;
}

.form-step--relative {
    position: relative;
}

.form-desc {
    font-size: 0.7rem;
    font-weight: 400;

}

.form-step:not(.form-step--show) *,
.form-step:not(.form-step--show) *::after {
    pointer-events: none;
    user-select: none;
}

.form-step.form-step--show {
    transform: translate(0);
    opacity: 1;

    pointer-events: auto;
    user-select: text;
}

.steps {
    display: flex;

}

.step {
    position: relative;

    display: flex;
    flex-direction: column;

    align-items: center;

    margin: 0 3rem;
}

.step:not(:first-child)::before {
    content: "";
    height: 5px;
    width: 12rem;
    background-color: var(--medium-gray);

    position: absolute;
    z-index: -1;

    left: -175%;
    top: 25%;

}

.step__label {
    font-size: 0.7rem;
}

.step__circle {
    border-radius: 50%;
    background-color: var(--medium-gray);

    height: 2.2rem;
    width: 2.2rem;

    display: flex;
    justify-content: center;
    align-items: center;

    transition: background-color 500ms ease-in-out;

    font-weight: 700;
    color: black;

    cursor: pointer;
}

.step__circle:hover {
    background-color: var(--medium-gray-dark);
}

.step__circle.step__circle--select {
    background-color: var(--pastel-blue);
}

.step__circle.step__circle--select:hover {
    background-color: var(--pastel-blue-dark);
}

.step__text {
    font-size: 0.8rem;

    width: 10ch;

    text-align: center;

}

.blob {
    clip-path: circle(28% at 100% 100%);
    height: 100vh;
    width: 100%;
    position: absolute;
    background-color: var(--pastel-blue);

    bottom: 0;

}

.blob-left {
    clip-path: circle(28% at 0 100%);
}

.header-left {
    display: flex;
    flex-direction: column;

    position: relative;
    align-items: center;
    gap: 0.25rem;

    width: fit-content;
    margin-right: 2rem;

}

.text-small {
    font-size: 0.8rem;
}

/* Buttons */
.button {
    display: flex;
    justify-content: center;
    align-items: center;

    padding: 0.3rem 0.75rem;
    font-family: "Poppins", sans-serif;
    font-size: 1rem;
    text-decoration: none;
    font-weight: 700;

    border: none;
    width: clamp(140px, 15%, 200px);
    border-radius: 1.5rem;

    cursor: pointer;
}

.button a {
    text-decoration: none;
}

.button-cyan {
    background-color: var(--pastel-blue);
    color: black;
}

/* Links */
.link {
    text-decoration: none;

    font-weight: 700;
}

.link-green,
.link-green:hover {
    color: var(--turquoise-green);
}

@media screen and (max-width: 640px) {
    :root {
        font-size: 12px;
    }

    .form-step {
        min-height: 25vh;
        width: clamp(200px, 50%, 300px);

    }


    .form-input {
        width: 80%;
        min-width: 150px;
    }

    .header-left {
        width: 70%;
        margin: 0;
    }

    .header-left .button {
        width: fit-content;
    }

    .header-left p {
        text-align: center;
    }


}




